Skip to main content
POST
/
scim
/
v2
/
Groups
Create group
curl --request POST \
  --url https://{tenant}.cubecloud.dev/api/scim/v2/Groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "displayName": "Analysts"
}
'
{
  "displayName": "<string>",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "<string>",
  "members": [
    {
      "value": "<string>",
      "display": "<string>"
    }
  ],
  "meta": {
    "resourceType": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>"
  }
}

Authorizations

Authorization
string
header
required

SCIM bearer token issued from your Cube Cloud account settings.

Body

application/json

A SCIM 2.0 core Group resource.

displayName
string
required

Human-readable name of the group.

schemas
string[]
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
members
object[]

Response

201 - application/json

The created group.

A SCIM 2.0 core Group resource.

displayName
string
required

Human-readable name of the group.

schemas
string[]
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
id
string
read-only
members
object[]
meta
object
read-only